Bug 1117969 - [abrt] NetworkManager: magazine_chain_pop_head(): NetworkManager killed by SIGSEGV
Summary: [abrt] NetworkManager: magazine_chain_pop_head(): NetworkManager killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:af1b00150c022d18421e778aa65...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 17:52 UTC by Avvocato Andrea Marengoni
Modified: 2015-11-16 18:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:16 UTC


Attachments (Terms of Use)
File: backtrace (28.87 KB, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: cgroup (165 bytes, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: core_backtrace (14.35 KB, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: dso_list (4.57 KB, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: environ (72 bytes, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: exploitable (93 bytes, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: maps (21.15 KB, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: open_fds (2.74 KB, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details
File: var_log_messages (22.81 KB, text/plain)
2014-07-09 17:52 UTC, Avvocato Andrea Marengoni
no flags Details

Description Avvocato Andrea Marengoni 2014-07-09 17:52:29 UTC
Version-Release number of selected component:
NetworkManager-0.9.9.0-38.git20131003.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: magazine_chain_pop_head
executable:     /usr/sbin/NetworkManager
kernel:         3.14.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 magazine_cache_trim at gslice.c:684
 #2 magazine_cache_push_magazine at gslice.c:716
 #3 thread_memory_magazine2_unload at gslice.c:815
 #4 g_slice_free1 at gslice.c:1106
 #5 g_hash_table_remove_all_nodes at ghash.c:500
 #6 g_hash_table_remove_all at ghash.c:1347
 #7 g_hash_table_destroy at ghash.c:1051
 #8 finalize at nm-dhcp4-config.c:147
 #10 dhcp4_cleanup at devices/nm-device.c:4377

Comment 1 Avvocato Andrea Marengoni 2014-07-09 17:52:33 UTC
Created attachment 916901 [details]
File: backtrace

Comment 2 Avvocato Andrea Marengoni 2014-07-09 17:52:34 UTC
Created attachment 916902 [details]
File: cgroup

Comment 3 Avvocato Andrea Marengoni 2014-07-09 17:52:35 UTC
Created attachment 916903 [details]
File: core_backtrace

Comment 4 Avvocato Andrea Marengoni 2014-07-09 17:52:36 UTC
Created attachment 916904 [details]
File: dso_list

Comment 5 Avvocato Andrea Marengoni 2014-07-09 17:52:38 UTC
Created attachment 916905 [details]
File: environ

Comment 6 Avvocato Andrea Marengoni 2014-07-09 17:52:39 UTC
Created attachment 916906 [details]
File: exploitable

Comment 7 Avvocato Andrea Marengoni 2014-07-09 17:52:40 UTC
Created attachment 916907 [details]
File: limits

Comment 8 Avvocato Andrea Marengoni 2014-07-09 17:52:42 UTC
Created attachment 916908 [details]
File: maps

Comment 9 Avvocato Andrea Marengoni 2014-07-09 17:52:43 UTC
Created attachment 916909 [details]
File: open_fds

Comment 10 Avvocato Andrea Marengoni 2014-07-09 17:52:44 UTC
Created attachment 916910 [details]
File: proc_pid_status

Comment 11 Avvocato Andrea Marengoni 2014-07-09 17:52:46 UTC
Created attachment 916911 [details]
File: var_log_messages

Comment 12 Jirka Klimes 2014-08-18 14:49:53 UTC
Do you still experience the crash?

I am not sure, but upstream fix for that may be 
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=3d6936b2cc01fc72507b1ba9f7e66e1ec584e705

Comment 13 Fedora End Of Life 2015-05-29 12:20:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:32:16 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Avvocato Andrea Marengoni 2015-11-16 18:23:23 UTC
(In reply to Jirka Klimes from comment #12)
> Do you still experience the crash?
> 
> I am not sure, but upstream fix for that may be 
> http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/
> ?id=3d6936b2cc01fc72507b1ba9f7e66e1ec584e705

(I don't know the English, I am using a translator) when I write that I am not able to indicate the cause of the problem, it is because I am unable to play it or figure out what caused it. I take this opportunity to ask if, in that case it is better not to do the reporting. Overall I find the quality of Fedora tastes great, I noticed some similarities with Debian in an effort to correct errors, even if the update level is very high (and I realize it's not easy, so congratulations!!!). With very best regards.


Note You need to log in before you can comment on or make changes to this bug.